javax.crypto.interfaces

## Interface DHPrivateKey

All Superinterfaces:
  DHKey, Key, PrivateKey, Serializable

    public interface DHPrivateKey
    extends DHKey, PrivateKey

The interface to a Diffie-Hellman private key.

Since:
  1.4
See Also:
  `DHKey`, `DHPublicKey`

### Field Summary

Fields
`static long` `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

### Method Summary

Methods
`BigInteger` `getX()` Returns the private value, `x`.

### Methods inherited from interface javax.crypto.interfaces.DHKey

`getParams`

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

See Also:
  Constant Field Values

### Method Detail

#### getX

    BigInteger getX()

Returns the private value, `x`.

Returns:
  the private value, `x`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.